//
// Created by imi415 on 23/02/04.
//

#ifndef FLASH_CONFIG_H
#define FLASH_CONFIG_H

#define APP_FLASH_BITS                 (22)               /* 2^(22) */
#define APP_FLASH_BASE                 (0x90000000)       /* QSPI Region 0 */
#define APP_FLASH_SIZE                 (8 * 1024 * 1024)  /* 2 * 256Mb */
#define APP_FLASH_PAGE_SIZE            (256)              /* 2 * 256 */
#define APP_FLASH_SECTOR_SIZE          (4 * 1024)         /* 2 * 4kB */
#define APP_FLASH_SECTOR_ERASE_TIMEOUT (5000)             /* 5s (400ms in manual) */
#define APP_FLASH_PAGE_PROGRAM_TIMEOUT (250)              /* 250ms (3ms in manual) */
#define APP_FLASH_CHIP_ERASE_TIMEOUT   (400 * 1000)       /* 400s (as manual) */

#endif  // FLASH_CONFIG_H
