#ifndef FLASH_OPERATIONS_H
#define FLASH_OPERATIONS_H

#include <stdint.h>

int Flash_Init(void);
int Flash_EraseSector(uint32_t addr);
int Flash_ProgramPage(uint32_t addr, uint8_t *data, uint32_t len);
int Flash_EraseChip(void);
int Flash_Map(void);
int Flash_UnMap(void);
int Flash_Deinit(void);

#endif // FLASH_OPERATIONS_H