def will_connect():
    info("Creating external flash region...")
    extFlash = FlashRegion(
        name="QSPI",
        start=0x90000000,
        length=0x04000000,
        page_size=0x200,
        sector_size=0x2000,
        access='rx',
        flm="cmake-build-release/fire_stm32h750_pro_flm_RAM.elf"
    )
    target.memory_map.add_region(extFlash)
