#include "stm32h7xx_hal.h"

/* Stubs for tick handling */

#define APP_MSEC_CYCLES (32000)

HAL_StatusTypeDef HAL_InitTick(uint32_t TickPriority) {
    return HAL_OK;
}

void HAL_Delay(uint32_t Delay) {
    for (uint32_t i = 0; i < Delay; i++) {
        for (uint32_t j = 0; j < APP_MSEC_CYCLES; j++) {
            asm volatile("nop");
        }
    }
}

uint32_t HAL_GetTick(void) {
    HAL_Delay(1);

    uwTick += 1;

    return uwTick;
}